Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaContentModel

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaContentModel

Direct Known Subclasses:
  XmlSchemaComplexContent, XmlSchemaSimpleContent

    public abstract class XmlSchemaContentModel

extends XmlSchemaAnnotated

An abstract class for the schema content model.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`protected` | `XmlSchemaContentModel()` Creates new XmlSchemaContentModel

Method Summary
`abstract XmlSchemaContent` | `getContent()`
`abstract void` | `setContent(XmlSchemaContent content)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaContentModel

    protected XmlSchemaContentModel()

  Creates new XmlSchemaContentModel

Method Detail

### setContent

    public abstract void setContent(XmlSchemaContent content)

### getContent

    public abstract XmlSchemaContent getContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 The Apache Software Foundation. All Rights Reserved.